System.Web 2.0.0.0 System.Web.Caching.CacheDependency

The class monitors a collection of dependency objects so that when any of them change, the cached item is automatically removed. The objects in the array can be objects, objects, custom objects derived from , or any combination of these.

The class differs from the class in that it allows you to associate multiple dependencies of different types with a single cached item. For example, if you create a page that imports data from a SQL Server database table and an XML file, you can create a object to represent a dependency on the database table and a to represent the dependency on the XML file. Rather than making an method call for each dependency, you can create an instance of the class with each dependency added to it. You can then use a single call to make the page dependent on the instance.

Combines multiple dependencies between an item stored in an ASP.NET application's object and an array of objects. This class cannot be inherited.

- Constructor

  This is the default constructor for the class.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void `System.ParamArray` To be added.

  Adds an array of objects to the object.

  The array of objects to add. 2.0.0.0
- Method
  System.String

  This method assigns a unique identifier to each dependency in the array and returns each of them. The identifier is a combination of either the file name (for a file dependency) or the key name (for a cache-key dependency) and a string that this method assigns to the dependency.

  Retrieves a unique identifier for the object.

  The unique identifier for the object. If one of the associated dependency objects does not have a unique identifier, the method returns null.

  2.0.0.0